unit Command;

interface

const
  cmStayOnTop = 'stayontop';
  cmNextMonth = 'nextmonth';
  cmPrevMonth = 'prevmonth';
  cmThisMonth = 'thismonth';
  cmNextYear = 'nextyear';
  cmPrevYear = 'prevyear';
  cmZoom100 = 'zoom100';
  cmZoom150 = 'zoom150';
  cmZoom200 = 'zoom200';
  cmZoom300 = 'zoom300';
  cmShowWeekNumber = 'showweeknumber';
  cmShowYearDay = 'showyearday';
  cmAbout = 'about';
  cmExit = 'exit';

  CmdList: array[0..13] of string = (
    cmStayOnTop,
    cmNextMonth,
    cmPrevMonth,
    cmThisMonth,
    cmNextYear,
    cmPrevYear,
    cmZoom100,
    cmZoom150,
    cmZoom200,
    cmZoom300,
    cmShowWeekNumber,
    cmShowYearDay,
    cmAbout,
    cmExit
  );

  DefaultKeys: array[0..18*2-1] of string = (
    'left',  cmPrevMonth,
    'right', cmNextMonth,
    'up',    cmPrevYear,
    'down',  cmNextYear,
    'esc',   cmExit,
    'space', cmThisMonth,
    '1',     cmZoom100,
    'Q',     cmZoom150,
    '2',     cmZoom200,
    '3',     cmZoom300,
    'n',     cmNextMonth,
    's-n',   cmNextYear,
    'p',     cmPrevMonth,
    's-p',   cmPrevYear,
    't',     cmStayOnTop,
    'w',     cmShowWeekNumber,
    'c-w',   cmExit,
    'y',     cmShowYearDay
  );

  MenuItems: array[0..19*2-1] of string = (
    '&Previous Month', cmPrevMonth,
    '&Next Month',     cmNextMonth,
    'T&his Month',     cmThisMonth,
    'P&revious Year',  cmPrevYear,
    'N&ext Year',      cmNextYear,
    '-',               '-',
    'Zoom &100%',      cmZoom100,
    'Zoom 150% (&Q)',  cmZoom150,
    'Zoom &200%',      cmZoom200,
    'Zoom &300%',      cmZoom300,
    '-',               '-',
    'Show Week Number', cmShowWeekNumber, 
    'Show Day Of The Year', cmShowYearDay, 
    '-',               '-',
    'Stay On &Top',    cmStayOnTop,
    '-',               '-',
    '&About',          cmAbout,
    '-',               '-',
    'E&xit',           cmExit
  );

implementation
end.
